import { DuckDBInstance } from '@duckdb/node-api';

const instance = await DuckDBInstance.create('my_duckdb.db');

const connection = await instance.connect();

// await connection.run(`create or replace table target_table(i integer, v varchar)`);

// const appender = await connection.createAppender('target_table');

// appender.appendInteger(42);
// appender.appendVarchar('duck');
// appender.endRow();

// appender.appendInteger(123);
// appender.appendVarchar('mallard');
// appender.endRow();

// appender.flushSync();

// appender.appendInteger(17);
// appender.appendVarchar('goose');
// appender.endRow();
// appender.flushSync();


// appender.closeSync(); // also flushes

const reader = await connection.runAndReadAll('from target_table');

const rows = reader.getRowsJson();

console.log(rows);